Results 1 to 7 of 7

Thread: Metaploit not Updating

  1. #1
    Join Date
    2013-Apr
    Posts
    5

    Metaploit not Updating

    I am trying to update Metasploit, but it tells me there are no updated available. I know there are new updates as I have checked exploit-db.com and it says that metasploit has come out with two new exploits so it cannot be up to date. There is a thread for this problem on AMD64, but I using i386 and my sources.list looks normal:
    Code:
    # 
    
    # deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130327-18:35]/ kali contrib main non-free
    
    #deb cdrom:[Debian GNU/Linux 7.0 _Kali_ - Official Snapshot i386 LIVE/INSTALL Binary 20130327-18:35]/ kali contrib main non-free
    
    
    deb http://http.kali.org/kali kali main non-free contrib
    deb-src http://http.kali.org/kali kali main non-free contrib
    
    ## Security updates
    deb http://security.kali.org/kali-security kali/updates main contrib non-free
    The output of msfupdate is this:
    Code:
    [*][*] Attempting to update the Metasploit Framework...[*]
    [*] Checking for updates[*] No updates available
    Anyone have any ideas on how to make it work?

  2. #2
    Join Date
    2013-Apr
    Location
    Tehran, Iran
    Posts
    10
    Me too. What is happening on KALI

  3. #3
    Updates to the metasploit framework will happen automatically.
    The repos are updated on a weekly basics (usually on Wednesday or Thursday) to support the updates for Metasploit on Kali.
    Source: https://community.rapid7.com/thread/3007

    If you wish for more tools to be updated, don't forget about the bleeding edge repos: Bleeding Edge
    Last edited by g0tmi1k; 2013-06-26 at 19:52.

  4. #4
    Join Date
    2013-Mar
    Location
    Brazil
    Posts
    52
    "Java Applet ProviderSkeleton Insecure Invoke Method" was released on July 1st (Monday).
    Today, July 6th (Saturday) I don't have it on my Metasploit on Kali.
    In fact, the newest exploit I see when I run "search cve:2013" is "PostgreSQL Database Name Command Line Flag Injection" released on June 18th.
    Anyone can tell me if is that right?

  5. #5
    Join Date
    2013-Mar
    Location
    milano
    Posts
    301

  6. #6
    Join Date
    2013-Mar
    Location
    Brazil
    Posts
    52
    Zimmaro said:
    same discussion here:
    http://forums.kali.org/showthread.ph...ith-Metasploit

    root-boy said:
    This thread contains an answer for your question (http://forums.kali.org/showthread.ph...t-not-Updating)

    Is it possible to merge then? Or disable one?

  7. #7
    Question has been answered & similar thread.
    Closing this thread.

Similar Threads

  1. exploitdb not updating
    By IROverrated in forum TroubleShooting Archive
    Replies: 2
    Last Post: 2017-03-19, 22:52

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •